apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    namespace: home-stuff
    name: plex-ingress
    annotations:
        kubernetes.io/ingress.class: nginx
        nginx.ingress.kubernetes.io/proxy-body-size: 10240m
        cert-manager.io/issuer: vault-issuer
        cert-manager.io/common-name: plex.k3s.local
spec:
    rules:
        - host: ENC[AES256_GCM,data:WILVYSXtSFOW7Tw2lbY=,iv:XK56nnohLmZLvjXil01Ujp+0pi0W6wOFbaiyIYwHlh8=,tag:sdo9rayNdReOklAPHRM4Zw==,type:str]
          http:
            paths:
                - backend:
                    service:
                        name: ENC[AES256_GCM,data:K99hD3Uct3c=,iv:7fRKwpAkLenfmoW84QSEJRAFJXmR6TI5Mef9Fjsnq90=,tag:fI3u0UTlc9Qj7Ks03pV8pw==,type:str]
                        port:
                            number: ENC[AES256_GCM,data:jJitjqY=,iv:E0H54GM2yxH9W4xKBTRA4QUVkcPPINhySwpGcWxReOU=,tag:jY+ZyjlFu39Qj9jZ9b7zaQ==,type:int]
                  path: ENC[AES256_GCM,data:Kg==,iv:bdsyaeCLi0+H2m1k78TvGAMwKQUzWeQSWdlxjHub+mA=,tag:tXoQk3a7X9kn8lzhc/m57Q==,type:str]
                  pathType: ENC[AES256_GCM,data:SpzOjmNY,iv:jGJ+RdZY+ApyIjU72jIT1xhLunENXp2+LUxzluqKDq0=,tag:/k9M1G/PVvS0TsH95nMzjQ==,type:str]
    #ENC[AES256_GCM,data:0R7RzpY7WDuBkkRQFNgwj44bEbkpcIegUMIUjvBDI5YBk4tLIF9Gk5ohp4vFskw8eja7SOyY/feLLI/NtKKH56r0LD8NYjx8nfzQbOhWi+5u3k7kaVK1fizFnL6J,iv:MXJBNvv+4UZ62A4zeZ+xETZZpiifxRpLVhhKvBiV2gw=,tag:Fn4v4pTAroscdR5Y1vRYTQ==,type:comment]
    tls:
        - hosts:
            - ENC[AES256_GCM,data:BFmXt6ACMpuNPcCjmKU=,iv:2Q8mv74c2Jx62lxeFcRNLBZAIShLVxFwG3/r62RR7w8=,tag:ERwWHyBdYzd9Qi4mnQhJzA==,type:str]
          secretName: ENC[AES256_GCM,data:3p95F4tGoS9IrvC6pA==,iv:xVWmiFH4As/QSBbucIvyf2PqjGndPVstBEp/pY52/u0=,tag:u+yQcCU2UhJD3YW8L5v7+g==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBRN2pEUHd2cHJEK3hzRzVP
            dVI1Q2JBa3BzNnVtOEZnSlp2TTRFRXRLMkFnCkdpTER1dnUvZER4WktkWWkvY2FN
            RW9QYm5yRTVlS051VkhWZ2VtSThUQVkKLS0tIGdUU1YrLzk3ZFpjR3QzMXJOTm5O
            NEJ5QVhSRDZtSllKVWtlR3FrSVM5NEEKPyv9JFBAkVOygHGAQFYofmC6dANPBFyN
            o6ZKhR2o01JF72AK4C0sjKwpFNqB2QoYPze0YUt7ajBrlgQ+Nelj7A==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:02Z"
    mac: ENC[AES256_GCM,data:/aEJ9wLOqquLZrs4DY3m8gdnMjNqweSJGL/0WvS1/CV3b6ZxUEEDEAHDelay0mag55+6cCD0E7072RO3CKLKlF0CROqGJyTnGwT9mSf+JuSgjjAqiJfRO+N4VtiTWea35437QV+VnHrUWeNw/tBj1odCdIiR7fDTK7s56WE4Px8=,iv:7wyW3CnXrJ/X2k+Oq8dxqTvUpjO+IxgGmd62loxRjsk=,tag:xwOmLDq9ToEGWuNuWwq+dw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
